# Interface JCSwapchainConfigurationType

All Known Implementing Classes:
  `JCSwapchainConfiguration`

@Immutable public interface JCSwapchainConfigurationType
The configuration values required to create (and re-create) swapchains.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanLogicalDeviceType`
  `device()`
  `VulkanQueueType`
  `graphicsQueue()`
  `Set<VulkanImageUsageFlag>`
  `imageUsageFlags()`
  `List<VulkanSurfaceFormatKHR>`
  `preferredFormats()`
  The list of surface formats to try in order of preference (earlier entries have higher preference).
  `List<VulkanPresentModeKHR>`
  `preferredModes()`
  The list of presentation modes to try in order of preference (earlier entries have higher preference).
  `VulkanQueueType`
  `presentationQueue()`
  `default int`
  `requestedMinimumImages()`
  `VulkanExtKHRSurfaceType.VulkanKHRSurfaceType`
  `surface()`
  `default Set<VulkanCompositeAlphaFlagKHR>`
  `surfaceAlphaFlags()`
  `VulkanExtKHRSurfaceType`
  `surfaceExtension()`
  `VulkanExtKHRSwapChainType`
  `swapChainExtension()`

- ## Method Details

  - ### requestedMinimumImages

    @Default default int requestedMinimumImages()
    Returns:
      The requested minimum number of swapchain images

  - ### device

    VulkanLogicalDeviceType device()
    Returns:
      The logical device.

  - ### surface

    VulkanExtKHRSurfaceType.VulkanKHRSurfaceType surface()
    Returns:
      The KHR_surface.

  - ### swapChainExtension

    VulkanExtKHRSwapChainType swapChainExtension()
    Returns:
      The KHR_swapchain extension.

  - ### surfaceExtension

    VulkanExtKHRSurfaceType surfaceExtension()
    Returns:
      The KHR_surface extension.

  - ### graphicsQueue

    VulkanQueueType graphicsQueue()
    Returns:
      The queue used for graphics operations

  - ### presentationQueue

    VulkanQueueType presentationQueue()
    Returns:
      The queue used for presentation operations

  - ### preferredModes

    List<VulkanPresentModeKHR> preferredModes()
    The list of presentation modes to try in order of preference (earlier entries have higher preference).
    Returns:
      The list of presentation modes in preference order

  - ### preferredFormats

    List<VulkanSurfaceFormatKHR> preferredFormats()
    The list of surface formats to try in order of preference (earlier entries have higher preference).
    Returns:
      The list of surface formats in preference order

  - ### imageUsageFlags

    Set<VulkanImageUsageFlag> imageUsageFlags()
    Returns:
      The usage flags required to be present on images returned from the swapchain

  - ### surfaceAlphaFlags

    @Default default Set<VulkanCompositeAlphaFlagKHR> surfaceAlphaFlags()
    Returns:
      The required surface alpha flags